Bug 1307362 - bouml: FTBFS in rawhide [NEEDINFO]
bouml: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bouml (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:06 EST by Fedora Release Engineering
Modified: 2016-08-27 06:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: bouml-4.21-13.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-27 06:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
raphael.groner: needinfo? (debarshir)


Attachments (Terms of Use)
build.log (656.49 KB, text/plain)
2016-02-13 16:06 EST, Fedora Release Engineering
no flags Details
root.log (92.29 KB, text/plain)
2016-02-13 16:06 EST, Fedora Release Engineering
no flags Details
state.log (613 bytes, text/plain)
2016-02-13 16:06 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:06:18 EST
Your package bouml failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12808165

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:06:21 EST
Created attachment 1124156 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:06:22 EST
Created attachment 1124157 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:06:23 EST
Created attachment 1124158 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:35:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-24 17:51:46 EST
../JavaCat/Class.cpp: In static member function 'static bool Class::reverse(ClassContainer*, QCString, QCString, bool, bool, aVisibility, QCString&, QValueList<QValueList<UmlFormalParameter> >, bool, QPtrList<UmlItem>&)':
../JavaCat/Class.cpp:604:20: error: expected unqualified-id before 'nullptr'
      UmlArtifact * nullptr = 0;
                    ^~~~~~~

nullptr is a reserved word in C++11.  It may be sufficient to just remove this definition and rely on that nullptr.
Comment 6 Kevin Kofler 2016-08-06 07:51:23 EDT
Just comment out that line and rebuild.
Comment 7 Raphael Groner (DAASI International) 2016-08-08 03:41:08 EDT
@Debarshi Ray

Can you fix the package? See also bug #592893 about the outdated version.
There's also a fork named DoUML with support for Qt5.
Comment 8 Yaakov Selkowitz 2016-08-12 16:45:25 EDT
(In reply to Kevin Kofler from comment #6)
> Just comment out that line and rebuild.

Unfortunately not:

../JavaCat/Class.cpp: In static member function 'static bool Class::reverse(ClassContainer*, QCString, QCString, bool, bool, aVisibility, QCString&, QValueList<QValueList<UmlFormalParameter> >, bool, QPtrList<UmlItem>&)':
../JavaCat/Class.cpp:610:48: error: invalid initialization of non-const reference of type 'UmlArtifact*&' from an rvalue of type 'UmlArtifact*'
       pack->get_static_imports(), path, nullptr);
                                                ^
In file included from ../JavaCat/ClassContainer.h:30:0,
                 from ../JavaCat/Class.h:30,
                 from ../JavaCat/Class.cpp:36:
../JavaCat/UmlClass.h:50:10: note:   initializing argument 5 of 'void UmlClass::need_artifact(const QStringList&, bool, const QStringList&, const QCString&, UmlArtifact*&)'

The variable needs to be renamed instead; fix forthcoming.
Comment 9 Fedora Update System 2016-08-12 18:52:13 EDT
bouml-4.21-13.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c63bdee249
Comment 10 Fedora Update System 2016-08-15 14:28:14 EDT
bouml-4.21-13.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c63bdee249
Comment 11 Fedora Update System 2016-08-27 06:34:34 EDT
bouml-4.21-13.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.